import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'question' },
})
export class Question extends BaseModel {
  @prop({ required: false, index: true, zh: '标题' })
  title: string;
  @prop({
    required: false,
    index: true,
    zh: '类型',
    remark: '字典：wenjuan-question-type',
  })
  type: string;
  @prop({ required: false, index: false, zh: '选项' })
  selects: Array<any>;
  @prop({
    required: false,
    index: true,
    zh: '是否启用',
    remark: '字典：common_use',
    default: '0',
  })
  is_use: string;
}
