import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Question } from '../entity/question.entity';
type modelType = ReturnModelType<typeof Question>;
@Provide()
export class QuestionService extends BaseService<modelType> {
  @InjectEntityModel(Question)
  model: modelType;
}
