import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Questionnaire } from '../entity/questionnaire.entity';
type modelType = ReturnModelType<typeof Questionnaire>;
@Provide()
export class QuestionnaireService extends BaseService<modelType> {
  @InjectEntityModel(Questionnaire)
  model: modelType;
}
