import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'answer' },
})
export class Answer extends BaseModel {
  @prop({ required: false, index: false, zh: '问卷id' })
  questionnaire_id: string;
  @prop({ required: false, index: false, zh: '用户id' })
  user_id: string;
  @prop({ required: false, index: false, zh: '手机号' })
  phone: string;
  @prop({ required: false, index: false, zh: '答案' })
  answer: Array<any>;
  @prop({ required: false, index: false, zh: '用户姓名' })
  user_name: string;
  @prop({ required: false, index: false, zh: '答题时间' })
  answer_date: string;
}
