import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Answer } from '../entity/answer.entity';
type modelType = ReturnModelType<typeof Answer>;
@Provide()
export class AnswerService extends BaseService<modelType> {
  @InjectEntityModel(Answer)
  model: modelType;
}
